<template>
    <div class="s">
        <v-card color="#abcdef" tile class="s" height="100%" raised>
            <v-card-title class="headline mx-auto white--text">聊天列表</v-card-title>
            <v-list color="#abcdef" dark shaped>
                <v-list-item
                    v-for="item in items"
                    :key="item.room"
                    link
                    class="pl-6"
                    :class="item.active ? 'darker' : ''"
                >
                    <v-list-item-title>{{ item.room }}</v-list-item-title>
                </v-list-item>
            </v-list>
            <v-card-subtitle>{{ message }}</v-card-subtitle>
        </v-card>
    </div>
</template>

<script>
// import io from "socket.io-client";
export default {
    name: "chatList",
    data: () => ({
        items: [
            { room: "cat", active: true },
            { room: "dog", active: false },
        ],
        message: "",
    }),
    components: {},
    methods: {},
    mounted() {
        // this.$socket = io(`${this.$siteConfig.apiUrl()}/chat`); //触发socket连接
        // this.$socket.on("othersJoin", data => {
        //     this.message = data + "加入了项目房间";
        //     console.log("91238498");
        // });
        // this.$socket.on("othersLeave", data => {
        //     this.message = data + "离开了项目房间";
        // });
    },
    computed: {},
};
</script>

<style scoped>
.s {
    margin-top: 60px;
    height: calc(100vh - 60px);
    background-color: #abcdef;
}
.darker {
    background-color: #66abda;
}
</style>
